## megactl 0.4.4

=== Makefile ===
DESTDIR:=
PREFIX:=         /usr
BINDIR:=         $(PREFIX)/bin
METAINFODIR:=    $(PREFIX)/share/metainfo/

INSTALL=        install

SRCS=		megactl.c adapter.c megaioctl.c megatrace.c callinfo.c dumpbytes.c logpage.c ntrim.c
INC=		-I./schily -Iincludes-hack
HDRS=		mega.h adapter.h megaioctl.h callinfo.h logpage.h dumpbytes.h
CFLAGS+=	-g -Wall $(INC) $(ARCH)
LDFLAGS+=	-g $(ARCH)
PROGRAMS=	megactl megasasctl

all:		$(PROGRAMS)

megatrace:	megatrace.o callinfo.o dumpbytes.o
	$(CC) $(LDFLAGS) -o $@ megatrace.o callinfo.o dumpbytes.o

megactl:	megactl.o adapter.o dumpbytes.o megaioctl.o logpage.o ntrim.o
	$(CC) $(LDFLAGS) -o $@ megactl.o adapter.o dumpbytes.o megaioctl.o logpage.o ntrim.o

megasasctl:	megasasctl.o adapter.o dumpbytes.o megaioctl.o logpage.o ntrim.o
	$(CC) $(LDFLAGS) -o $@ megasasctl.o adapter.o dumpbytes.o megaioctl.o logpage.o ntrim.o

megasasctl.o:	megactl.c
	$(CC) $(CFLAGS) -c -o $@ -DMEGA_SAS_CTL megactl.c

%.o:		Makefile.bak %.c
	$(CC) $(CFLAGS) -c -o $@ $*.c

install: $(PROGRAMS)
	$(INSTALL) -d $(DESTDIR)$(BINDIR)/
	$(INSTALL) $(PROGRAMS) $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(METAINFODIR)/
	$(INSTALL) -m644 megactl.metainfo.xml $(DESTDIR)$(METAINFODIR)/

clean:
	$(RM) $(PROGRAMS) *.o

depend:
	makedepend -- $(CFLAGS) -- $(SRCS)

megactl.o:	mega.h adapter.h megaioctl.h logpage.h dumpbytes.h
megasasctl.o:	mega.h adapter.h megaioctl.h logpage.h dumpbytes.h
adapter.o:	mega.h megaioctl.h logpage.h ntrim.h
megaioctl.o:	mega.h megaioctl.h logpage.h 
megatrace.o:	mega.h megaioctl.h logpage.h callinfo.h dumpbytes.h
callinfo.o:	callinfo.h
logpage.o:	mega.h megaioctl.h logpage.h ntrim.h dumpbytes.h
ntrim.o:	ntrim.h

# DO NOT DELETE

=== debian/changelog ===
megactl (0.4.4-4) unstable; urgency=medium

  * Fixed typo in patch metadata.
  * Added 0040-hardening.patch to use CPPFLAGS for hardening during build.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 08 May 2024 18:38:44 +0200

megactl (0.4.4-3) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Added some patches fetched from upstream to improve appstrea
    metainfo and compiler warnings.
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 17 Apr 2024 13:39:31 +0200

megactl (0.4.4-2) unstable; urgency=medium

  * Description: mention megacli. Reformat. Closes: #1069175.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 17 Apr 2024 13:37:56 +0200

megactl (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4
  * Drop applied patches

 -- Jérémy Lal <kapouer@melix.org>  Mon, 15 Apr 2024 11:18:11 +0200

megactl (0.4.3+git20240307.6b1fdab-1) unstable; urgency=medium

  * Initial release (Closes: #1065322).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 07 Mar 2024 15:41:23 +0100

## megactl 0.4.5

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 SRCS=		megactl.c adapter.c megaioctl.c megatrace.c callinfo.c dumpbytes.c logpage.c ntrim.c
 INC=		-I./schily -Iincludes-hack
 HDRS=		mega.h adapter.h megaioctl.h callinfo.h logpage.h dumpbytes.h
-CFLAGS+=	-g -Wall $(INC) $(ARCH)
+CPPFLAGS+=
+CFLAGS+=	-g -Wall $(INC) $(ARCH) $(CPPFLAGS)
 LDFLAGS+=	-g $(ARCH)
 PROGRAMS=	megactl megasasctl

=== debian/changelog ===
megactl (0.4.5-1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * New upstream version 0.4.5
    - Dropped all patches now applied upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 16 Aug 2024 22:58:24 +0200

=== debian/control ===
Source: megactl
Section: admin
Priority: optional
Maintainer: Jérémy Lal <kapouer@melix.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://github.com/namiltd/megactl/
Vcs-Browser: https://salsa.debian.org/debian/megactl
Vcs-Git: https://salsa.debian.org/debian/megactl.git

Package: megactl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: LSI Megaraid Control and Monitoring Tools
 Reports diagnostics on megaraid and megaraid_sas adapters and
 attached disks, similar to the original "megacli" tool.
 The adapters are also known as Dell PERC2, PERC3, PERC4 and PERC5.
 Permits dumping of controller log pages for inspection of error,
 temperature, and self-test conditions, initiates self-test
 diagnostics, and documents adapter and logical drive configuration.
 Target devices may be adapters, (e.g. a0), enclosures (e.g. a0e0),
 or individual disks (e.g. a0e0s0). If no target is specified,
 reports configuration and drive state on all adapters.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

=== debian/watch ===
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/namiltd/megactl/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
